Bug 2102 - Xsane зависает и падает при запуске
: Xsane зависает и падает при запуске
Status: CLOSED WORKSFORME
: Sisyphus
(All bugs in Sisyphus/xsane)
: unstable
: all Linux
: P5 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-01-29 23:21 by
Modified: 2005-10-05 10:51 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-01-29 23:21:04
тоже самое происходит с xscanimage. Sane находит устройства, но сканировать
невозможно.
---

---
[<a href="mailto:slava@linuxbox" target="_new">slava@linuxbox</a> slava]$
sane-find-scanner 

found SCSI scanner \&quot;SCANNER  V101\&quot; at /dev/scanner
found SCSI scanner \&quot;SCANNER  V101\&quot; at /dev/sg0
found SCSI scanner \&quot;SCANNER  V101\&quot; at /dev/sga
  # Your SCSI scanner was detected. It may or may not be supported by SANE. Try
  # scanimage -L and read the backend\'s manpage.

  # No USB scanners found. If you expected something different, make sure that
  # you have loaded a driver for your USB host controller and have installed a
  # kernel scanner module.

  # Scanners connected to the parallel port or other proprietary ports can\'t
be
  # detected by this program.

  # You may want to run this program as root to find all devices. Once you
  # found the scanner devices, be sure to adjust access permissions as
  # necessary.
[<a href="mailto:slava@linuxbox" target="_new">slava@linuxbox</a> slava]$ xsane
------- Comment #1 From 2003-01-29 23:44:57 -------
scanimage -L -&gt; зависон.
------- Comment #2 From 2003-01-29 23:44:57 -------
scanimage -L -&gt; зависон.
------- Comment #3 From 2003-01-30 01:08:28 -------
Уберите лишние модули из
/etc/sane.d/dll.conf
И, мне кажется, не стоит вешать bug на пакет только потому что у вас проблемы с настройкой сканера.
Если есть вопросы - пишите в рассылки community, sisyphus (смотря откуда xsane, какой сборки - вы это не указали), мне лично - <a href="mailto:lav@altlinux.ru" target="_new">lav@altlinux.ru</a>
------- Comment #4 From 2003-01-30 01:08:28 -------
Уберите лишние модули из
/etc/sane.d/dll.conf
И, мне кажется, не стоит вешать bug на пакет только потому что у вас проблемы с настройкой сканера.
Если есть вопросы - пишите в рассылки community, sisyphus (смотря откуда xsane, какой сборки - вы это не указали), мне лично - <a href="mailto:lav@altlinux.ru" target="_new">lav@altlinux.ru</a>
------- Comment #5 From 2003-01-30 01:08:54 -------
Насколько я понимаю, данная проблема обсуждалась в рассылках. Вы бывали на
search.altlinux.ru?
Уберите лишние модули из
/etc/sane.d/dll.conf
И, мне кажется, не стоит вешать bug на пакет только потому что у вас проблемы с
настройкой сканера.
Если есть вопросы - пишите в рассылки community, sisyphus (смотря откуда xsane,
какой сборки - вы это не указали), мне лично - <a href="mailto:lav@altlinux.ru"
target="_new">lav@altlinux.ru</a>
------- Comment #6 From 2003-01-30 01:08:54 -------
Насколько я понимаю, данная проблема обсуждалась в рассылках. Вы бывали на
search.altlinux.ru?
Уберите лишние модули из
/etc/sane.d/dll.conf
И, мне кажется, не стоит вешать bug на пакет только потому что у вас проблемы с
настройкой сканера.
Если есть вопросы - пишите в рассылки community, sisyphus (смотря откуда xsane,
какой сборки - вы это не указали), мне лично - <a href="mailto:lav@altlinux.ru"
target="_new">lav@altlinux.ru</a>
------- Comment #7 From 2003-01-30 11:05:12 -------
Это именно ошибка в текущем sane, причём очень серьёзная. В МАСТЕР ИДЁТ
СЛОМАННЫЙ SANE. Вешать её, правда, надо было не на xsane, а на sane, тут я
погорячился.

Эта проблема существует только в версии sane 1.0.9-alt1. 
Удалив её: 
   rpm -e sane libsane sane-frontends --nodeps
и поставив sane из Мастера 2.0 (при этом из-за известного и исправленного далее
в Сизифе глюка в /etc/sane.d оставлен только mustek.conf):
   [<a href="mailto:slava@linuxbox" target="_new">slava@linuxbox</a> slava]$
rpm -q sane sane-frontends
   sane-1.0.7-alt2
   sane-frontends-1.0.7-alt1

видим:
   [<a href="mailto:slava@linuxbox" target="_new">slava@linuxbox</a> slava]$
scanimage -L
   device `mustek:/dev/scanner\' is a Mustek ScanExpress 12000SP Plus flatbed
scanner
   device `mustek:/dev/sg0\' is a Mustek ScanExpress 12000SP Plus flatbed
scanner

При этом с sane из Мастера Беты 2.2  
  [<a href="mailto:root@linuxbox" target="_new">root@linuxbox</a> sane.d]# rpm
-q sane sane-frontends
  sane-1.0.9-alt1
  sane-frontends-1.0.9-alt1
команда
  [<a href="mailto:root@linuxbox" target="_new">root@linuxbox</a> RPMS2]#
scanimage -L

  No scanners were identified. If you were expecting something different,
  check that the scanner is plugged in, turned on and detected by the
  sane-find-scanner tool (if appropriate). Please read the documentation
  which came with this software (README, FAQ, manpages).

ничего умного не говорит.

Имеется: SCSI сканер Mustek 12000 SP Plus на контроллере Tekram DC-310
(Symbios). Настройки ядра, успешно используемые уже второе тысячелетие :) в
виде модулей sym53c8xx и sg. не менялись. Стоит xsane-0.89-alt2, который
нормально работает со старыми сборками sane и sane-frontends

edited on: 30-01 11:25
------- Comment #8 From 2003-01-30 11:05:12 -------
Это именно ошибка в текущем sane, причём очень серьёзная. В МАСТЕР ИДЁТ
СЛОМАННЫЙ SANE. Вешать её, правда, надо было не на xsane, а на sane, тут я
погорячился.

Эта проблема существует только в версии sane 1.0.9-alt1. 
Удалив её: 
   rpm -e sane libsane sane-frontends --nodeps
и поставив sane из Мастера 2.0 (при этом из-за известного и исправленного далее
в Сизифе глюка в /etc/sane.d оставлен только mustek.conf):
   [<a href="mailto:slava@linuxbox" target="_new">slava@linuxbox</a> slava]$
rpm -q sane sane-frontends
   sane-1.0.7-alt2
   sane-frontends-1.0.7-alt1

видим:
   [<a href="mailto:slava@linuxbox" target="_new">slava@linuxbox</a> slava]$
scanimage -L
   device `mustek:/dev/scanner\' is a Mustek ScanExpress 12000SP Plus flatbed
scanner
   device `mustek:/dev/sg0\' is a Mustek ScanExpress 12000SP Plus flatbed
scanner

При этом с sane из Мастера Беты 2.2  
  [<a href="mailto:root@linuxbox" target="_new">root@linuxbox</a> sane.d]# rpm
-q sane sane-frontends
  sane-1.0.9-alt1
  sane-frontends-1.0.9-alt1
команда
  [<a href="mailto:root@linuxbox" target="_new">root@linuxbox</a> RPMS2]#
scanimage -L

  No scanners were identified. If you were expecting something different,
  check that the scanner is plugged in, turned on and detected by the
  sane-find-scanner tool (if appropriate). Please read the documentation
  which came with this software (README, FAQ, manpages).

ничего умного не говорит.

Имеется: SCSI сканер Mustek 12000 SP Plus на контроллере Tekram DC-310
(Symbios). Настройки ядра, успешно используемые уже второе тысячелетие :) в
виде модулей sym53c8xx и sg. не менялись. Стоит xsane-0.89-alt2, который
нормально работает со старыми сборками sane и sane-frontends

edited on: 30-01 11:25
------- Comment #9 From 2003-01-30 11:08:04 -------
Чтобы моя досада была понятнее добавлю, что это уже второй случай, когда
нормально работавший в Сизифе sane ломается именно сразу перед выпуском
дистрибутива.
------- Comment #10 From 2003-01-30 11:08:04 -------
Чтобы моя досада была понятнее добавлю, что это уже второй случай, когда
нормально работавший в Сизифе sane ломается именно сразу перед выпуском
дистрибутива.
------- Comment #11 From 2003-01-30 11:13:00 -------
Ещё повторюсь, что у меня нет никаких проблем с настройкой сканера. 

1) Мои сканеры (этот уже не первый) покупались согласно документации по sane
специально для беспроблемной работы в Линуксе. (SCSI всегда отлично
поддерживался sane-ом, а драйвер Mustek весьма неплохо поддерживает эту
модель). Этот аппарат, его предшественник, и все настройки ядра _ИДЕАЛЬНО_
работали с 1999 г. именно с sane и xsane разных версий.

2) Тестовая система - поставленная с нуля Бета Мастера без каких либо
посторонних пакетов и исключительно с проверенными временем настройками
\&quot;железа\&quot;. Я из принципа стараюсь ничего не править руками. 

3) Как только в sane начали вливать кошмарные патчи поддержки USB и LPT, sane
становится всё тормознее и глючнее. Тем не менее он ВСЕГДА (даже в первом
Мастере, если не отключать USB) работал из коробки и должен сохранять эту
традицию. 

СИСТЕМА ДОЛЖНА РАБОТАТЬ СРАЗУ без ручного ковыряния в её потрохах.

edited on: 30-01 11:23
------- Comment #12 From 2003-01-30 11:13:00 -------
Ещё повторюсь, что у меня нет никаких проблем с настройкой сканера. 

1) Мои сканеры (этот уже не первый) покупались согласно документации по sane
специально для беспроблемной работы в Линуксе. (SCSI всегда отлично
поддерживался sane-ом, а драйвер Mustek весьма неплохо поддерживает эту
модель). Этот аппарат, его предшественник, и все настройки ядра _ИДЕАЛЬНО_
работали с 1999 г. именно с sane и xsane разных версий.

2) Тестовая система - поставленная с нуля Бета Мастера без каких либо
посторонних пакетов и исключительно с проверенными временем настройками
\&quot;железа\&quot;. Я из принципа стараюсь ничего не править руками. 

3) Как только в sane начали вливать кошмарные патчи поддержки USB и LPT, sane
становится всё тормознее и глючнее. Тем не менее он ВСЕГДА (даже в первом
Мастере, если не отключать USB) работал из коробки и должен сохранять эту
традицию. 

СИСТЕМА ДОЛЖНА РАБОТАТЬ СРАЗУ без ручного ковыряния в её потрохах.

edited on: 30-01 11:23
------- Comment #13 From 2003-02-02 23:02:04 -------
1. Все ваши эмоции мы можем обсудить в личной переписке.
2. Вы предлагаете отключить поддержку USB и LPT?
3. Как решить замеченную вами проблему? Если вы путём исключения
из /etc/sane/dll.conf найдёте модуль на котором всё виснет, я готов его
закомментировать
------- Comment #14 From 2003-02-02 23:02:04 -------
1. Все ваши эмоции мы можем обсудить в личной переписке.
2. Вы предлагаете отключить поддержку USB и LPT?
3. Как решить замеченную вами проблему? Если вы путём исключения
из /etc/sane/dll.conf найдёте модуль на котором всё виснет, я готов его
закомментировать
------- Comment #15 From 2003-02-04 13:43:36 -------
Извиняюсь, что долго не отвечал.

После долгой борьбы выяснил, что виноваты 2 модуля: \&quot;hpsj5s\&quot; и \&quot;snapscan\&quot;. С ними sane (scanimage -L) задумывается навечно или несёт бред. Если раскомментировать всё в dll.conf и убрать два этих модуля, то можно запустить тот же xsane, пойти в магазин или попить чайку, и через пол-часика sane всё найдёт.

Предлагаю сделать средство, которое поочерёдно искало бы сканеры с помощью каждого из драйверов (а сбойные только в том случае, когда ничто не помогает). После этого надо автоматически записывать правильный dll.conf. При добавлении нового сканера придётся перезапускать тестер.

Это даст а) скорость запуска всех сканирующих программ б) большую надёжность. Скрипт настройки можно автоматически пускать при установке пакета, но лучше при первом запуске sane. При интерактивном запуске можно спрашивать, какие сканеры включать, а какие нет (У меня должны находиться video4linux и mustek, но сканировать телевидение особого смысла нет).

Я могу написать такое на bash, если будет нужно. Ещё нужна графическая морда. 
Можно исправить scannerdrake так, чтобы он писал dll.conf? В теперешнем состоянии это мусор.

edited on: 04-02 13:44
------- Comment #16 From 2003-02-04 13:43:36 -------
Извиняюсь, что долго не отвечал.

После долгой борьбы выяснил, что виноваты 2 модуля: \&quot;hpsj5s\&quot; и \&quot;snapscan\&quot;. С ними sane (scanimage -L) задумывается навечно или несёт бред. Если раскомментировать всё в dll.conf и убрать два этих модуля, то можно запустить тот же xsane, пойти в магазин или попить чайку, и через пол-часика sane всё найдёт.

Предлагаю сделать средство, которое поочерёдно искало бы сканеры с помощью каждого из драйверов (а сбойные только в том случае, когда ничто не помогает). После этого надо автоматически записывать правильный dll.conf. При добавлении нового сканера придётся перезапускать тестер.

Это даст а) скорость запуска всех сканирующих программ б) большую надёжность. Скрипт настройки можно автоматически пускать при установке пакета, но лучше при первом запуске sane. При интерактивном запуске можно спрашивать, какие сканеры включать, а какие нет (У меня должны находиться video4linux и mustek, но сканировать телевидение особого смысла нет).

Я могу написать такое на bash, если будет нужно. Ещё нужна графическая морда. 
Можно исправить scannerdrake так, чтобы он писал dll.conf? В теперешнем состоянии это мусор.

edited on: 04-02 13:44
------- Comment #17 From 2003-02-04 13:48:09 -------
Ещё замечание:
При включённых модулях для параллельного порта проверка проходит, но с принтером творится форменная истерика. HP840C мигает всеми огнями, дёргает головками мотает и гадит бумагу. Если такое будет происходить каждый раз при запуске xsane и пр. То надо лечить.
------- Comment #18 From 2003-02-04 13:48:09 -------
Ещё замечание:
При включённых модулях для параллельного порта проверка проходит, но с принтером творится форменная истерика. HP840C мигает всеми огнями, дёргает головками мотает и гадит бумагу. Если такое будет происходить каждый раз при запуске xsane и пр. То надо лечить.
------- Comment #19 From 2004-06-04 17:58:14 -------
И чем закончилась эта переписка? 
 
------- Comment #20 From 2004-06-04 22:40:12 -------
Фактически ничем :( Я-то свою проблему решил, но зато забил на стандартную
конфигурацию и первым делом стриаю ее и пишу свою. Нормальные люди называют это
извращением. 

По умолчанию sane продолжает ломать принтер на параллельном порту в попытках
найти несуществующие там сканеры. Работающей программы для настройки
по-прежнему
нет, хотя сделать было бы несложно.
------- Comment #21 From 2004-06-07 00:25:44 -------
Различные скрипты это хорошо, но в майнстриме. 
Я предлагаю сделать конфигурацию по умолчанию, в которой будет отключено 
обращение к LPT-сканерам. 
------- Comment #22 From 2004-06-24 01:09:19 -------
Я не замею задержек при запуске xsane. Должен ли быть подключен принтер? И 
какой, например? 
------- Comment #23 From 2004-06-24 09:06:26 -------
Та конфигурация, что имеется сейчас действительно задержек не вызывает и
параллельный принтер не дергает. У меня сейчас работает нормально.

Однако, это не снимает необходимости иметь средство выбора модели и настройки
sane. У других ведь могут быть сканеры, чьи драйвера пришлось закомментировать.
Многие начинающие пользователи просто решат, что их LPT сканер вообще не
поддерживается. 
------- Comment #24 From 2005-10-05 10:51:37 -------
В любом случае это не проблема xsane